<?php
/*
# Fuer debugging
error_reporting(E_ALL);
ini_set('display_errors', 1);
#echo __LINE__."<br>";
*/
include_once './classes/TestProjektSmarty.class.php';
$smarty = new Smarty();
require_once("./config.inc.php");
$template = "standard";
$templatename = substr(basename($_SERVER['PHP_SELF']),0,-3)."html";
require_once "./language/german.inc.php";
require_once("func_rollenrechte.php");


// Rechteüberprüfung
#$db = dbconnect();
if ($user_admin == ""){ require("index.php"); exit;} //Wenn man nicht angemeldet ist, darf man nicht auf die Seite
if(!rore($user_admin,'a_funktbearb','RE')){echo "Keine Rechte";exit;}
// Rechteüberprüfung ende

session_start();



# Wenn Seite neu aufgerufen wird, dann alle Sessions, die mit "bearbeiten_" beginnen löschen
if(isset($_GET['new']) AND $_GET['new'] == 1){;
  $search_prefix = 'funkt_bearb_';
  $search_len = strlen($search_prefix);
  foreach( $_SESSION as $key => $value){
    if ( substr( $key, 0, $search_len) == $search_prefix) {
      unset( $_SESSION[$key]);
    }
  }
}

if(isset($_GET['action'])){
  $action = $_GET['action'];
}else{
  $action = '';
}

if($action == ''){
    #$db = dbconnect();
    $query = "SELECT kfid, bezeichnung
                FROM prog_kat_funktionen
               ORDER BY bezeichnung ASC";
    $result = $db->query( $query)
              or die ("Cannot execute query");

    while ($row = $result->fetch_array()){
      $value_katalog[] = $row;
    }
    $smarty->assign('table_data', $value_katalog);
}

if($action == 'grcreate'){

  # Daten aus Startseite speichern
  if(isset($_POST['funktion'])){
    $_SESSION["funkt_bearb_kfid"] = $_POST['funktion'];
  }else{
    if(!isset($_SESSION["funkt_bearb_kfid"])){
      $_SESSION["funkt_bearb_kfid"] = "";
    }
  }
  $kfid = $_SESSION["funkt_bearb_kfid"];
  
  # Daten aus Startseite speichern ENDE


  if($_SESSION["funkt_bearb_kfid"] == ""){
    $smarty->assign('funkt_bearb_mandatory_auswahl', "1");
  }else{
    $smarty->assign('funkt_bearb_mandatory_auswahl', "2");
    
    if($kfid != 'new'){
      # Daten von vorhandener Funktionen wählen
      $result_at = $db->query("SELECT a.bezeichnung 
                                     , date_format(gueltig_ab, '%d') gueltig_ab_tag
                                     , date_format(gueltig_ab, '%m') gueltig_ab_mon
                                     , date_format(gueltig_ab, '%Y') gueltig_ab_jahr
                                     , date_format(gueltig_bis, '%d') gueltig_bis_tag
                                     , date_format(gueltig_bis, '%m') gueltig_bis_mon
                                     , date_format(gueltig_bis, '%Y') gueltig_bis_jahr
                                 FROM prog_kat_funktionen a
                                WHERE kfid=$kfid");
      $row_at    = $result_at->fetch_array();
      
      $smarty->assign('funkt_bearb_bez_funktion', "$row_at[bezeichnung]");
      $smarty->assign('funkt_bearb_gueltig_ab_tag', "$row_at[gueltig_ab_tag]");
      $smarty->assign('funkt_bearb_gueltig_ab_mon', "$row_at[gueltig_ab_mon]");
      $smarty->assign('funkt_bearb_gueltig_ab_jahr', "$row_at[gueltig_ab_jahr]");
      $smarty->assign('funkt_bearb_gueltig_bis_tag', "$row_at[gueltig_bis_tag]");
      $smarty->assign('funkt_bearb_gueltig_bis_mon', "$row_at[gueltig_bis_mon]");
      $smarty->assign('funkt_bearb_gueltig_bis_jahr', "$row_at[gueltig_bis_jahr]");
      
    }else{
      # Vorgabe bei neuer Funktion
      $smarty->assign('funkt_bearb_bez_funktion', "");
      $smarty->assign('funkt_bearb_gueltig_ab_tag', "");
      $smarty->assign('funkt_bearb_gueltig_ab_mon', "");
      $smarty->assign('funkt_bearb_gueltig_ab_jahr', "");
      $smarty->assign('funkt_bearb_gueltig_bis_tag', "");
      $smarty->assign('funkt_bearb_gueltig_bis_mon', "");
      $smarty->assign('funkt_bearb_gueltig_bis_jahr', "");
    }
    


  }
}

   
if($action == 'save'){
  $kfid = $_SESSION["funkt_bearb_kfid"];
  $funktion  = $_POST['funktion'];
  
  $tag_ab = $_POST['tag_ab'];
  $mon_ab = $_POST['mon_ab'];
  $jahr_ab = $_POST['jahr_ab'];
  
  $jahr_bis = $_POST['jahr_bis'];
  $tag_bis = $_POST['tag_bis'];
  $mon_bis = $_POST['mon_bis'];
  
  if($tag_ab != '' and $mon_ab != '' and $jahr_ab != ''){
    $gueltig_ab = "$jahr_ab-$mon_ab-$tag_ab";  
  }else{
    $gueltig_ab = "0000-00-00";  
  }
  
  if($tag_bis != '' and $mon_bis != '' and $jahr_bis != ''){
    $gueltig_bis = "$jahr_bis-$mon_bis-$tag_bis";  
  }else{
    $gueltig_bis = "0000-00-00";  
  }


  # kfid => new
  if($kfid == 'new'){
     $result = $db->query("INSERT INTO prog_kat_funktionen  (bezeichnung, gueltig_ab, gueltig_bis) VALUES ('$funktion', '$gueltig_ab', '$gueltig_bis')");
     $kfid = $db->insert_id;
          
     # Session setzen, statt "new" wird die eigentliche ID. Wird benötigt beim automatischen http-equiv auf grcreate
     $_SESSION["funkt_bearb_kfid"] = $kfid;
  }
  

  # kfid => vorhandenes Atelier
  if($kfid != 'new'){
    # funktion aktualisieren
    $result = $db->query("UPDATE prog_kat_funktionen 
                             SET bezeichnung = '$funktion'
                                ,gueltig_ab = '$gueltig_ab'
                                ,gueltig_bis = '$gueltig_bis'
                           WHERE kfid='$kfid'");
   
  }

   echo "<meta http-equiv=\"refresh\" content=\"0; URL=" . $_SERVER['PHP_SELF'] . "?action=grcreate\">";
}

$smarty->assign('action', "$action");
$smarty->display("$template/$templatename");
?>